#include "stdafx.h"

#include "OutputFormat.h"


// This function adds delimiters by thousands base.
// Delimiter based on user locale settings.
CString makeUserFriendlyString(__int64 val)
{
	int delimLen = ::GetLocaleInfo(LOCALE_USER_DEFAULT, LOCALE_STHOUSAND, NULL, 0);

	CString delimStr;
	delimStr.Preallocate(delimLen);

	::GetLocaleInfo(LOCALE_USER_DEFAULT, LOCALE_STHOUSAND, delimStr.GetBuffer(), delimLen);

	CString str;
	str.Format(_T("%I64d"), val);

	CString result_str;
	int dec_count = 1;
	for (int idx = str.GetLength() - 1; idx >=0; idx--)
	{
		if (dec_count > 3)
		{
			dec_count = 1;
			result_str += delimStr.GetString();
		}
		result_str += str[idx];
		dec_count++;
	}
	return result_str.MakeReverse();
}



